iThemes Security (formerly Better WP Security)
[Plugin: Better WP Security] Possible Conflict With WordPress Upgrades? (2 posts)

  1. pantone
    Posted 3 years ago #

    First, I'd like to say thank you for creating this plugin! So far, I've configured most of the settings so that I am in the green, however, I am still going back and forth on renaming wp-content and tables. That said, my question is:

    When using this plugin, are there any potential conflicts or compatibility issues that could come up each time WordPress upgrades? My concern is mostly centered around renaming "wp-content" and the tables (hence the reason why I have not touched those). When WordPress upgrades, could renaming these two possibly break anything? I would hate to rename wp-content and tables, upgrade to the latest version of WP, and find out that my entire site is broken.

  2. Well, with wp-content yes, there could be issues with upgrading other plugins. As it is a documented feature in core however you should not have any issues there (basically a plugin dev could hard-code wp-content rather that getting the path dynamically).

    As for the tables, the same thing is true. It is a documented WordPress feature (you can in fact name them anything you want on install) however, over the years I've run into at least one plugin (that I can remember) that hardcoded it's database calls using the default prefix.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic


No tags yet.